mod parser;

use std::io;
use std::io::prelude::*;
use std::env;
use std::fs::File;

fn repl() {
    loop {
        let mut line = String::new();
        io::stdin().read_line(&mut line).unwrap();
        let tree = parser::parse_stmt(&line);
        println!("{:#?}", tree);
    }
}

fn script(filename: &str) {
    let mut file = File::open(filename).expect("Could not read file");
    let mut prgm = String::new();
    file.read_to_string(&mut prgm).unwrap();
    let tree = parser::parse(&prgm);
    println!("{:#?}", tree);
}

fn main() {
    let args: Vec<String> = env::args().collect();
    if args.len() == 1 {
        repl();
    } else {
        script(&args[1]);
    }
}
